org.springframework.cloud.dataflow.completion

## Class UnfinishedTaskAppNameExpansionStrategy

- java.lang.Object
- - org.springframework.cloud.dataflow.completion.UnfinishedTaskAppNameExpansionStrategy

- All Implemented Interfaces:
    TaskExpansionStrategy

      public class UnfinishedTaskAppNameExpansionStrategy
      extends Object
      implements TaskExpansionStrategy

  Provides completions by finding apps whose name starts with a prefix (which was assumed to be a correct app name, but wasn't).
  Author:
    Eric Bottard, Mark Fisher, Andy Clement

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addProposals(String text, TaskDefinition taskDefinition, int detailLevel, List<CompletionProposal> collector)` For a given task DSL text and `TaskDefinition`, Generate `CompletionProposal`s that apply (if any) and add them to the provided `collector` list Return `true` if no other strategies should be applied for the task DSL text (this strategy make take the liberty to erase already collected proposals)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addProposals

          public boolean addProposals(String text,
                                      TaskDefinition taskDefinition,
                                      int detailLevel,
                                      List<CompletionProposal> collector)

      Description copied from interface: `TaskExpansionStrategy`
      For a given task DSL text and `TaskDefinition`,
      - Generate `CompletionProposal`s that apply (if any) and add them to the provided `collector` list
      - Return `true` if no other strategies should be applied for the task DSL text (this strategy make take the liberty to erase already collected proposals)
      Specified by:
        `addProposals` in interface `TaskExpansionStrategy`
      Parameters:
        `text` - DSL text for the task
        `taskDefinition` - task definition
        `detailLevel` - integer representing the amount of detail to include in the generated `CompletionProposal`s (higher values mean more details. typical range is [1..5])
        `collector` - list of `CompletionProposal`s to add/remove from if this strategy applies
      Returns:
        `true` if no other strategies should be applied for the task DSL text

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.